Answers for "draw perpendicular line from the point of curve rhinoscriptsyntax"

0

draw perpendicular line from the point of curve rhinoscriptsyntax

curve = rs.GetObject()
points = rs.GetObjects()
length = 50
for point in points:
    pt = rs.coerce3dpoint(point)
    param = rs.CurveClosestPoint(curve, pt)
    normal = rs.CurveNormal(curve)
    tangent = rs.CurveTangent(curve, param)
    curveNormal = rs.VectorCrossProduct(normal, tangent)
    rs.AddLine(pt, pt - curveNormal * length)
Posted by: Guest on March-19-2021

Code answers related to "draw perpendicular line from the point of curve rhinoscriptsyntax"

Browse Popular Code Answers by Language